Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OnigSyntaxType Struct Reference

`#include <oniguruma.h>`

## Data Fields
unsigned int | op
unsigned int | op2
unsigned int | behavior
OnigOptionType | options
OnigMetaCharTableType | meta_char_table

## Detailed Description

Definition at line 382 of file ripper.y.

## Field Documentation

unsigned int OnigSyntaxType::behavior

Definition at line 385 of file ripper.y.

Referenced by onig_get_syntax_behavior(), and onig_set_syntax_behavior().

OnigMetaCharTableType OnigSyntaxType::meta_char_table

Definition at line 387 of file ripper.y.

Referenced by onig_set_meta_char().

unsigned int OnigSyntaxType::op

Definition at line 383 of file ripper.y.

Referenced by onig_get_syntax_op(), and onig_set_syntax_op().

unsigned int OnigSyntaxType::op2

Definition at line 384 of file ripper.y.

Referenced by onig_get_syntax_op2(), and onig_set_syntax_op2().

OnigOptionType OnigSyntaxType::options

Definition at line 386 of file ripper.y.

Referenced by onig_get_syntax_options(), onig_reg_init(), and onig_set_syntax_options().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h